@echo off

REM -- ------------------------------------------------------
REM --
REM -- FILE          : silbuftask.bat
REM --               :
REM -- AUTHOR        : Jeff Holton / jeffholton at mac dot com
REM --               :
REM -- DATE          : Not sure. Sometime in early 2011.
REM --               :
REM -- PURPOSE       : Add one second of silence to the
REM --               : beginning and end of a WAV file in a
REM --               : subfolder of the folder where this 
REM --               : file is.
REM --               : 
REM -- VARIABLES     : %1 - the name of the file we're
REM --               : converting
REM --               : 
REM --               : PATH - pointer to where we installed sox
REM --               : 
REM -- NOTE          : This file presupposes that you already
REM --               : know how to use silbuf. silbuf manages
REM --               : the execution of this batch file. See
REM --               : the notes in silbuf for help with sox
REM --               : 
REM -- ------------------------------------------------------

REM %1 - name of file
echo Converting %1

setlocal
set PATH=%PATH%;C:\sox-14-3-1

REM --
REM -- Add silence to beginning
REM --

sox.exe converted\1-sec-silence.wav %1 converted\%1

REM --
REM -- Add silence to end and save as a temp file (like
REM -- a three-way variable swap)
REM --

sox.exe converted\%1 converted\1-sec-silence.wav converted\tmp.wav

REM --
REM -- Move the temp file back to the name of the original
REM -- converted file
REM --

move converted\tmp.wav converted\%1
